package cn.axzo.msg.center.inside.notices.event;

import org.springframework.context.ApplicationEvent;

/**
 * @author: wangli
 * @date: 2022/1/25 18:28
 */
public class PlatUserCreateEvent extends ApplicationEvent {

  private final String phone;

  private final String pwd;

  public PlatUserCreateEvent(String phone, String pwd) {
    super(AgencyChangeEvent.OBJECT);
    this.phone = phone;
    this.pwd = pwd;
  }

  public String getPwd() {
    return pwd;
  }

  public String getPhone() {
    return phone;
  }

  @Override
  public String toString() {
    return "PlatUserCreateEvent{" +
        "phone='" + phone + '\'' +
        ", pwd='" + pwd + '\'' +
        '}';
  }
}
